require "Docline\\MainDocline";
require "Docline\\CommonBorrowing";

function PopulateSearchAndSend()
	PopulateSearchForm();
	SubmitRequest();
end

function PopulateManualAndSend()
	PopulateManualForm();
	SubmitRequest();
end

if (OnPMIDSearchPage()) then
	RegisterPageHandler("custom", "OnPMIDOrderPage", "PopulateSearchAndSend", true);
	SearchPMID();
elseif (OnPMIDOrderPage()) then
	PopulateSearchForm();
	SubmitRequest();
elseif (OnManualOrderPage()) then
	PopulateManualForm();
	SubmitRequest();
else
	RegisterPageHandler("custom", "OnPMIDSearchPage", "SearchPMID", true);
	RegisterPageHandler("custom", "OnPMIDArticleSelectionPage", "SelectArticleIfOnlyOne", true);
	RegisterPageHandler("custom", "OnPMIDOrderPage", "PopulateSearchAndSend", true);
	RegisterPageHandler("custom", "OnManualOrderPage", "PopulateManualAndSend", true);
end
