require "Docline\\MainDocline";
require "Docline\\CommonBorrowing";

--If on either of the pages, populate them, otherwise register the page handlers
if (OnPMIDSearchPage()) then
	RegisterPageHandler("custom", "OnPMIDOrderPage", "PopulateSearchForm", true);
	SearchPMID();
elseif (OnPMIDOrderPage()) then
	PopulateSearchForm();
elseif (OnManualOrderPage()) then
	PopulateManualForm();
else
	RegisterPageHandler("custom", "OnPMIDSearchPage", "SearchPMID", true);
	RegisterPageHandler("custom", "OnPMIDArticleSelectionPage", "SelectArticleIfOnlyOne", true);
	RegisterPageHandler("custom", "OnPMIDOrderPage", "PopulateSearchForm", true);
	RegisterPageHandler("custom", "OnManualOrderPage", "PopulateManualForm", true);
end
